/*******************************************************************************
 http_util.h

 Copyright (C) 2015-2021 CodeShop B.V.
 http://www.code-shop.com

 For licensing see the LICENSE file
******************************************************************************/

#ifndef HTTP_PROCESS_H_AKW
#define HTTP_PROCESS_H_AKW

#include "mod_streaming_export.h"
#include <inttypes.h>

#ifdef __cplusplus
extern "C" {
#endif

struct post_handler_t;
typedef struct post_handler_t post_handler_t;

MP4_DLL_EXPORT
int post_handler_insert(post_handler_t* handler,
                        unsigned char const* first, unsigned char const* last,
                        char* result_text, unsigned int result_size);

MP4_DLL_EXPORT void post_handler_exit(post_handler_t* handler);

#ifdef __cplusplus
} /* extern C definitions */
#endif

#endif // HTTP_PROCESS_H_AKW

// End Of File
